SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002078: if you disable the proxy nat rules are not removed - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002078Endian FirewallProxy HTTPpublic2009-08-14 17:392009-10-27 11:59
Reporterluca-endian 
Assigned Topeter-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.3Fixed in Version2.3 
Summary0002078: if you disable the proxy nat rules are not removed
DescriptionI get this output with proxy switched off:

root@firewall:/var/efw/proxy # iptables -nvv -t nat -L PROXIES
Chain PROXIES (1 references)
 pkts bytes target prot opt in out source destination
  558 36222 DNAT udp -- br0 * 0.0.0.0/0 0.0.0.0/0 udp dpt:53 to:192.168.9.1:53
    0 0 DNAT tcp -- br0 * 0.0.0.0/0 0.0.0.0/0 tcp dpt:53 to:192.168.9.1:53
    0 0 DNAT tcp -- br0 * 0.0.0.0/0 0.0.0.0/0 tcp dpt:110 to:192.168.9.1:8110
  491 31424 DNAT tcp -- br0 * 0.0.0.0/0 0.0.0.0/0 tcp dpt:80 to:192.168.9.1:8080
    0 0 DNAT tcp -- VPN * 0.0.0.0/0 0.0.0.0/0 tcp dpt:80 to:192.168.9.1:8080

The result is that you can't surf http any more unless you enable proxy.

If you remove the rules with iptables -t nat -D PROXIES 4 (2 times) you are able to surf again.


TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002852)
luca-endian (developer)
2009-08-14 18:00

if I put PROXY=off and restartsquid.py stop then rules are removed

see also 1969
(0002969)
luca-endian (developer)
2009-09-18 08:51

This is NOT fixed in RC1.. it's a tiny bit major imho

- Issue History
Date Modified Username Field Change
2009-08-14 17:39 luca-endian New Issue
2009-08-14 17:59 luca-endian Relationship added parent of 0001969
2009-08-14 18:00 luca-endian Note Added: 0002852
2009-09-18 08:51 luca-endian Note Added: 0002969
2009-09-18 08:57 luca-endian Reproducibility have not tried => always
2009-09-18 08:57 luca-endian Status new => confirmed
2009-09-22 18:49 peter-endian Project not released => Endian Firewall
2009-09-22 18:50 peter-endian Target Version => 2.3
2009-09-22 18:50 peter-endian Relationship added has duplicate 0002189
2009-09-23 20:35 peter-endian Status confirmed => resolved
2009-09-23 20:35 peter-endian Fixed in Version => 2.3
2009-09-23 20:35 peter-endian Resolution open => fixed
2009-09-23 20:35 peter-endian Assigned To => peter-endian
2009-10-27 11:59 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker